/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';
.konsultation-table {
  .ant-table {
    font-size: @platform-table-font-size;
    line-height: @platform-table-line-height;
    border-collapse: collapse;
    thead {
      th {
        background-color: @platform-blue4;
        border: 1px solid @platform-blue4;
        border-bottom: 2px solid @platform-text-color;
        &:first-child {
          background-color: @platform-blue3;
        }
      }
    }
    td {
      background-color: #fff;
      padding: 12px;
      border: 1px solid @platform-blue4;
      &:first-child {
        border-bottom: 0;
        border-top: 0;
      }
    }
    .empty-row {
      &:hover td,
      td {
        background-color: @platform-blue4;
        font-size: 1.4rem;
        border-top: 0;
        border-bottom: 0;
        &:first-child {
          font-size: @platform-table-font-size;
          background-color: @platform-blue3;
        }
      }
    }
  }
}
